﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="RadGrid_Filter_Template.aspx.vb" Inherits="RadGrid_Filter_Template" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">

        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>

        <script type="text/javascript">
          //Put your JavaScript code here.
        </script>

        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>



        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" Width="800px" AllowFilteringByColumn="true" OnNeedDataSource="RadGrid1_NeedDataSource">
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID">
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>

                    <telerik:GridTemplateColumn DataField="OrderID" HeaderText="Estado" UniqueName="Estado" DataType="System.String" SortExpression="Estado" GroupByExpression="Estado Group by Estado" ReadOnly="true">
                        <FilterTemplate>
                            <telerik:RadComboBox RenderMode="Lightweight" ID="RcEstado" Width="90px" SelectedValue='<%# CType(Container, GridItem).OwnerTableView.GetColumn("OrderID").CurrentFilterValue %>' runat="server" OnClientSelectedIndexChanged="Estado_SelectedIndexChanged">
                                <Items>
                                    <telerik:RadComboBoxItem Text="Todo" Value="" Selected="True" />
                                    <telerik:RadComboBoxItem Text="Sin incidencia" Value="0" />
                                    <telerik:RadComboBoxItem Text="El código de farmacia no existe en la base datos." Value="1" />
                                    <telerik:RadComboBoxItem Text="La clave de acceso no coincide" Value="2" />
                                    <telerik:RadComboBoxItem Text="No se ha encontrado ninguna clave de acceso que no esté caducada." Value="3" />
                                    <telerik:RadComboBoxItem Text="La clave está caducada." Value="4" />
                                </Items>
                            </telerik:RadComboBox>
                            <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
                                <script type="text/javascript">
                                    function Estado_SelectedIndexChanged(sender, args) {
                                        var tableView = $find("<%# TryCast(Container, GridItem).OwnerTableView.ClientID %>");
                                        tableView.filter("OrderID", args.get_item().get_value(), "EqualTo");
                                    }
                                </script>
                            </telerik:RadScriptBlock>
                        </FilterTemplate>

                        <ItemTemplate>
                            <asp:Label runat="server" ID="Estado" Text='<%# DataBinder.Eval(Container.DataItem, "OrderID") %>'></asp:Label>
                        </ItemTemplate>

                        <EditItemTemplate>
                            <telerik:RadDropDownList ID="DropDownList4" runat="server" AutoPostBack="true" DataValueField="Activa" SelectedValue='<%#Bind("OrderID") %>' OnSelectedIndexChanged="DropDownList4_SelectedIndexChanged">
                                <Items>
                                    <telerik:DropDownListItem Text="El código de farmacia no existe en la base de datos." Value="1" />
                                    <telerik:DropDownListItem Text="La clave de acceso no coincide" Value="2" />
                                    <telerik:DropDownListItem Text="No se ha encontrado ninguna clave de acceso que no esté caducada." Value="3" />
                                    <telerik:DropDownListItem Text="La clave está caducada." Value="4" />
                                </Items>
                            </telerik:RadDropDownList>
                        </EditItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>

    </form>
</body>
</html>
